# $Revision: 1.52 $, $Date: 2011/12/04 16:26:05 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	FCGI
Summary:	FCGI - Fast CGI module
Summary(pl.UTF-8):	FCGI - szybki moduł CGI
Name:		perl-FCGI
Version:	0.74
Release:	1
License:	BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/FCGI/FCGI-%{version}.tar.gz
# Source0-md5:	462a77a0072480fea791a4d3095eb486
Source1:	%{name}-acinclude.m4
URL:		http://search.cpan.org/dist/FCGI/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a FastCGI module for perl. It's based on the FCGI module that
comes with Open Market's FastCGI Developer's Kit, but does not require
you to recompile perl.

%description -l pl.UTF-8
To jest moduł FastCGI. Jest bazowany na module FCGI dostarczanym z
FastCGI Developer's Kit, ale nie wymaga rekompilacji Perla.

%prep
%setup -q -n %{pdir}-%{version}
cp -f %{SOURCE1} acinclude.m4

%build
%{__aclocal}
%{__autoconf}
%configure
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install *.fpl $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change* LICENSE.TERMS README
%{perl_vendorarch}/FCGI.pm
%dir %{perl_vendorarch}/auto/FCGI
%{perl_vendorarch}/auto/FCGI/FCGI.bs
%attr(755,root,root) %{perl_vendorarch}/auto/FCGI/FCGI.so
%{_mandir}/man3/FCGI.3pm*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.fpl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-FCGI.spec,v $
Revision 1.52  2011/12/04 16:26:05  qboosh
- updated to 0.74

Revision 1.51  2011/08/25 12:09:51  arekm
- up to 0.73

Revision 1.50  2011/05/11 03:15:29  aredridel
- 0.71

Revision 1.49  2010/11/12 23:38:26  pawelz
- release 9

Revision 1.48  2010/06/06 08:36:06  arekm
- release 8

Revision 1.47  2008/11/10 22:35:05  glen
- release 7

Revision 1.46  2008/03/02 17:32:08  radek
- release 6

Revision 1.45  2008-02-10 12:09:25  arekm
- rel 5

Revision 1.44  2008-01-10 08:38:37  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.43  2007-02-13 07:47:11  glen
- tabs in preamble

Revision 1.42  2007/02/12 00:49:31  baggins
- converted to UTF-8

Revision 1.41  2005/04/21 16:27:43  glen
- permissions for samples
- rel 4
- STBR

Revision 1.40  2005/04/21 11:55:15  glen
- use %{pdir} macro
- add more examples and move to %{_examplesdir}

Revision 1.39  2004/10/24 14:43:58  paladine
- perla->Perla

Revision 1.38  2004/05/07 00:35:13  ankry
- rel. 3

Revision 1.37  2004/05/06 18:01:28  ankry
- fixed perl-devel BR

Revision 1.36  2004/04/24 23:49:53  ankry
- tests added

Revision 1.35  2004/04/20 16:43:16  ankry
- summary/description/license fixes

Revision 1.34  2003/09/09 10:24:34  ankry
- spaces -> tab

Revision 1.33  2003/08/18 08:08:45  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.32  2003/05/28 13:00:37  malekith
- massive attack: source-md5

Revision 1.31  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.29  2003/03/01 19:08:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.28  2003/02/25 00:38:34  radek
- use the __perl macro

Revision 1.27  2003/02/18 15:32:06  ankry
- massive attack: change CPAN URLs

Revision 1.26  2003/01/07 14:55:59  mis
- autoupdated to 0.67

Revision 1.25  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.24  2002/09/08 15:49:54  radek
- version 0.66
- provided informative summary and URL tag, new %doc

Revision 1.23  2002/05/21 23:14:22  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.22  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/05/03 21:05:14  qboosh
- updated to 0.65
- fixed License field(!), added LICENSE.TERMS to doc
- added missing acinclude.m4 taken from fcgi package

Revision 1.20  2002/03/03 21:29:23  marcus
- rel.5.

Revision 1.19  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/10 15:26:03  depesz
- adapterized

Revision 1.17  2002/01/18 02:14:17  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/10/01 22:49:01  kloczek
- release 4.

Revision 1.15  2001/10/01 09:16:09  qboosh
- BuildRequires: autoconf,automake

Revision 1.14  2001/09/29 11:01:26  blues
- release 3
- ac2.5 ready

Revision 1.13  2001/09/28 08:23:56  marcus
- s/%configure/%configure2_13/g

Revision 1.12  2001/04/30 16:05:27  kloczek
- added using %{rpmcflags} macro.

Revision 1.11  2001/04/17 12:08:36  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %{version} and %{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/01/25 20:03:45  misiek
- Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.8  2001/01/17 08:03:49  yaro
- updated to 0.58

Revision 1.7  2001/01/02 16:32:31  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:51  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:51  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:02  pius
- initial release
